.header-menu {
  @extend %item-between;
  @include breakpoints(max-md) {
    background-color: #fff;
    [class*="header-"] {
      width: 100%;
    }
  }
}

.header-menu,
.header-right {
  @include breakpoints(max-md) {
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
  }
}

.header-dropdown {
  .btn {
    width: 155px;
    @include breakpoints(max-md) {
      width: 100%;
    }
  }
}

.header-right {
  [class*="header-"] {
    margin-left: 32px;
    @include breakpoints(max-md) {
      margin-left: 0;
      margin-top: 15px;
      width: 100%;
    }
  }
  i {
    font-size: 20px;
    color: #fff;
    @include breakpoints(max-md) {
      color: $primary;
    }
  }
}

@keyframes moveHeader {
  from {top: -85px;}
  to {top: 0;}
}

.header {
  z-index: 9999;
  &:not(.header-bg) {
    @include position(fixed, 0, 0, null, 0);
    animation: moveHeader .3s ease;
  }
  .btn {
    min-width: 135px;
  }
  @include breakpoints(max-md) {
    &,
    &.fixed {
      background-color: #fff !important;
    }
    .navbar {
      padding-top: 10px;
      padding-bottom: 10px;
    }

    .btn-transparent {
      border-color: $primary;
      color: $primary;
    }
  }
  &.fixed {
    background-color: $header-background-color;
  }
}

.logo-color {
  display: none;
}

.header-bg {
  &,
  &.fixed {
    background-color: #F4FAFF;
  }

  .logo-color {
    display: block;
    @include breakpoints(max-md) {
      display: none;
    }
  }

  .logo-white {
    display: none !important;
  }

  .header-right {
    >[class*="header"] i {
      color: rgba($body-color, .6);
    }
  }
}

.navbar-brand {
  margin-right: 30px;
}

.header-search {
  position: relative;
  .form-control {
    transition: width 0.2s linear;
    width: 100%;
    @include breakpoints(md) {
      background-color: transparent;
      @include size(40px);
      border-color: transparent;
    }
  }
  .search-btn {
    @include position-top-right(0, 0);
    @extend %item-center;
    @include size(40px);
    &:focus,
    &:hover {
      color: $body-color;
      font-size: 16px;
      + .form-control {
        background-color: #fff;
        @include breakpoints(md) {
          width: 267px;
        }
      }
    }
  }
}

.navbar-toggler {
  background-color: $primary;
  color: #fff;
  @extend %item-center;
  display: inline-flex;
}

.header-bg {

}